import request from '/@/utils/request';


export function Add(data:object){
	return request({
		url: '/auto/self/sign/machine/add',
		method: 'post',
		data
	})
}
export function update(params: string) {
	return request({
		url: '/auto/self/sign/machine/update',
		method: 'post',
		data: params,
	});
}
export function deleteId(params: string) {
	return request({
		url: '/auto/self/sign/machine/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function detail2(params: string) {
	return request({
		url: '/auto/self/sign/machine/detail2',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function list(params: string) {
	return request({
		url: '/auto/self/sign/machine/list',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params,
	});
}
